package cn.lihongjie.coal.excelGenerator.controller;

import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.excelGenerator.dto.CreateExcelGeneratorDto;
import cn.lihongjie.coal.excelGenerator.dto.ExcelGeneratorDto;
import cn.lihongjie.coal.excelGenerator.dto.UpdateExcelGeneratorDto;
import cn.lihongjie.coal.excelGenerator.service.ExcelGeneratorService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/excelGenerator")
@SysLog(module = "Excel生成器")
@Slf4j
public class ExcelGeneratorController {
    @Autowired private ExcelGeneratorService service;

    @PostMapping("/create")
    public ExcelGeneratorDto create(@RequestBody CreateExcelGeneratorDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public ExcelGeneratorDto update(@RequestBody UpdateExcelGeneratorDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public ExcelGeneratorDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<ExcelGeneratorDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
